%global cmake_module_ver 2018.02

Name:          lunchbox
Version:       1.17.0
Release:       2%{?dist}
Summary:       C++ library for multi-threaded programming

# CMake/common/ittnotify.h is under GPLv2, the rest is LGPL
# https://github.com/Eyescale/Lunchbox/issues/331
License:       LGPLv2 and GPLv2
URL:           http://www.equalizergraphics.com/
Source0:       https://github.com/Eyescale/Lunchbox/archive/%{version}/%{name}-%{version}.tar.gz
# https://github.com/Eyescale/Lunchbox/issues/329
Source1:       https://github.com/Eyescale/CMake/archive/refs/tags/%{cmake_module_ver}.tar.gz
# https://github.com/Eyescale/Lunchbox/issues/331
Source2:       https://www.gnu.org/licenses/old-licenses/lgpl-2.1.txt
Source3:       https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: boost-devel
BuildRequires: servus-devel
Provides:      bundled(eyescale-cmake-common)
# https://github.com/Eyescale/CMake/pull/599
Patch2:        lunchbox-1.17.0-libdir-fix.patch
# https://github.com/Eyescale/CMake/pull/601
Patch3:        lunchbox-1.17.0-docdir-override.patch

%description
Lunchbox is C++ library for multi-threaded programming, providing OS abstraction,
utility classes and high-performance primitives, such as atomic variables,
spin locks and lock-free containers.

%package devel
Summary:       Development files for lunchbox
Requires:      %{name}%{?_isa} = %{version}-%{release}
Requires:      pkgconfig
Requires:      cmake

%description devel
Development files for lunchbox.

%prep
%setup -q -a 1 -n Lunchbox-%{version}
mv CMake-%{cmake_module_ver}/* CMake/common/
rm -f CMake-%{cmake_module_ver}/.gitignore
rmdir CMake-%{cmake_module_ver}
%autopatch -p1

cp -at . %{SOURCE2} %{SOURCE3}

# perf-memory test failing
# https://github.com/Eyescale/Lunchbox/issues/330
rm -f tests/perf/memory.cpp

%build
%cmake -DCOMMON_DOC_DIR=%{_docdir}/%{name}
%cmake_build

%install
%cmake_install

%check
cd %{_vpath_builddir}
make test

%files
%license lgpl-2.1.txt gpl-2.0.txt
%doc %{_docdir}/%{name}
https://github.com/Eyescale/Lunchbox/issues/332
%{_libdir}/libLunchbox.so.1*
%{_datadir}/Lunchbox

%files devel
%{_includedir}/lunchbox
%{_libdir}/libLunchbox*.so

%changelog
* Mon Jun 28 2021 Jaroslav Škarvada <jskarvad@redhat.com> - 1.17.0-2
- Updated according to the review
  Related: rhbz#976793

* Tue Jun 15 2021 Jaroslav Škarvada <jskarvad@redhat.com> - 1.17.0-1
- New version

* Wed Jul  9 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 1.9.1-2
- Dropped doxygen-fix patch, used workaround from upstream

* Mon Jul  7 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 1.9.1-1
- New version

* Fri Jun 21 2013 Jaroslav Škarvada <jskarvad@redhat.com> - 1.4.0-1
- Initial release
